<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:d="http://docbook.org/ns/docbook"
  exclude-result-prefixes="d xs"
  version="2.0">
  
  <xsl:variable name="n">
    <xsl:text>
</xsl:text>
  </xsl:variable>
  
  
  <xsl:param name="toggleDisplayScript">
    <script xmlns="http://www.w3.org/1999/xhtml" type="text/javascript"> <!-- goiks extension head start -->
      function toggleDisplay(inputEl) {
      divElem = nextSibling(inputEl);
      if (divElem.style.visibility == 'hidden') {
      divElem.style.visibility = 'visible';
      inputEl.setAttribute('value','-');
      } else {
      divElem.style.visibility = 'hidden';
      inputEl.setAttribute('value','+');
      }
      }
      function nextSibling(n) {
      x=n.nextSibling;
      while (x.nodeType!=1) {
      x=x.nextSibling;
      }
      return x;
      }
    </script>
  </xsl:param>
  
  <!--Allow for opening and closing of answers -->  
  <xsl:template match="d:answer" priority="1">
    <xsl:variable name="deflabel">
      <xsl:apply-templates select="." mode="qanda.defaultlabel"/>
    </xsl:variable>
    
    <tr>
      <xsl:apply-templates select="." mode="common.html.attributes"/>
      <xsl:call-template name="id.attribute"/>
      <td align="{$direction.align.start}" valign="top">
        <xsl:call-template name="anchor"/>
        <xsl:variable name="answer.label">
          <xsl:apply-templates select="." mode="label.markup"/>
        </xsl:variable>
        <xsl:if test="string-length($answer.label) &gt; 0">
          <p><strong>
            <xsl:copy-of select="$answer.label"/>
          </strong></p>
        </xsl:if>
      </td>
      <td align="{$direction.align.start}" valign="top">
        <input onclick="toggleDisplay(this)" type="button" value="+"/> <!--goik: start "header" clickable answer modification -->
        <div style="visibility:hidden;">                               <!--goik: end "header" clickable answer modification -->
          <xsl:apply-templates select="*[local-name(.) != 'label'         and local-name(.) != 'qandaentry']"/>
          <!-- * handle nested answer/qandaentry instances -->
          <!-- * (bug 1509043 from Daniel Leidert) -->
          <xsl:if test="descendant::d:question">
            <xsl:call-template name="process.qandaset"/>
          </xsl:if>
        </div>                                                         <!--goik: "footer" clickable answer modification -->        
      </td>
    </tr>
  </xsl:template>  
</xsl:stylesheet>