<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:d="http://docbook.org/ns/docbook"
  xmlns:m="http://www.w3.org/1998/Math/MathML"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="d"
  version="1.1">
  
  <xsl:import href="../Common/common.xsl"/>
  
  <xsl:template name="user.webhelp.head.content">
    <xsl:param name="node"/>
    
    <xsl:copy-of select="$toggleDisplayScript"/>
    
    <xsl:if test="//m:math">
      <script type="text/x-mathjax-config">MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});</script>
      <script src="https://prog.mi.hdm-stuttgart.de/mathjax/MathJax.js?config=TeX-AMS-MML_HTMLorMML">
        <xsl:comment>Self closing tags disallowed!</xsl:comment>
      </script>
    </xsl:if>
  </xsl:template>
  
  <!-- No logo related parameter on offer, sigh! -->
  <xsl:template name="webhelpheader.logo">
    <a href="index.html">
      <img style='margin-right: 2px; height: 59px; padding-right: 25px; padding-top: 8px' align="right"
        src='{$webhelp.common.dir}images/hdmlogo.svg' alt="{$brandname} Documentation"/>
    </a>
  </xsl:template>

  <!-- copy mathml to output -->
  <xsl:template match="m:*">
    <xsl:element name="{local-name()}">
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match="d:videodata">
    <video controls="controls" preload="auto">
      <xsl:attribute name="title">
        <xsl:value-of select="normalize-space(../../../d:title)"/>
      </xsl:attribute>
      
      <xsl:variable name="hdm_ImageFilename"> <!-- hdm_ prefix: do not mess with docbook! -->
        <xsl:call-template name="mediaobject.filename">
          <xsl:with-param name="object" select=".."/>
        </xsl:call-template>
      </xsl:variable>
      
      <source src="{$hdm_ImageFilename}" type='video/webm' />
      <source src="{$hdm_ImageFilename}.mp4" type='video/mp4'/>
      <xsl:text>Your Browser does not support the video tag</xsl:text>
    </video>
  </xsl:template>
  
</xsl:stylesheet>
